﻿.no-scroll {
    padding: inherit;
}

.rz-dialog {
    max-width: 90vw;
    height: auto;
    display: flex;
    position: relative;
    overflow-y: auto;
    flex-direction: column;
    background-color: var(--background); 
    color: inherit;
    max-height: 90vh;
    border-radius: var(--radius-window);
    box-shadow: var(--shadow);
}

.rz-dialog-titlebar {
    background: inherit;
    border-bottom: var(--telekom-line-weight-standard) solid var(--telekom-color-ui-subtle);
    margin-left: var(--spacing-x-header);
    margin-right: var(--spacing-x-header);
    padding: var(--spacing-y-header) 0 var(--spacing-y-header) 0;
    font-size: 20px;

    & a {
        color: var(--rz-dialog-close-color);
    }
}

.rzi rzi-times {
    border-radius: 50%;
    width: 34px;
    height: 34px;
    padding: 10px;
    background: #fff;
    border: 3px solid #000;
    color: #000;
    text-align: center;
    font: 32px Arial, sans-serif;
}

:root {
    --telekom-spacing-unit-base: 0.25rem;
    --radius-window: var(--telekom-radius-large);
    --telekom-radius-large: 0.75rem;
    --telekom-line-weight-standard: 0.0625rem;
    --telekom-color-ui-subtle: #efeff0;
    --spacing-x-header: var(--telekom-spacing-composition-space-08);
    --spacing-y-header: var(--telekom-spacing-composition-space-08);
    --telekom-spacing-composition-space-08: 1.5rem;
}

.rz-dialog-wrapper {
    width: 100vw;
    z-index: 1999;
}

.rz-dialog .rz-dialog-title h2,
.rz-dialog .rz-dialog-title h3,
.rz-dialog .rz-dialog-title h4,
.rz-dialog .rz-dialog-title h5,
.rz-dialog .rz-dialog-title h6,
.rz-dialog .rz-dialog-title h7,
.rz-dialog .rz-dialog-title h8 {
    padding-bottom: 0;
    display: inline;
    font-weight: bold;
    font-size: 1em;
}

.rz-dialog-titlebar-close .rzi-times {
    font-size: 1rem;
    color: var(--telekom-color--text-and-icon-color);
}

.rz-dialog-content {
    width: inherit;
    display:contents;
}
    .rz-dialog-content .container-fixed {
        width: inherit;
    }

    .rz-dialog-content .content-container {
        overflow-y: auto;
    }

.rz-dialog-content p {
    max-width: 35vw;
}

    .rz-dialog-content .container-fixed {
        overflow-y: auto;
        width: 100%;
        max-width: 90vw;
        padding: 0.75rem;
    }

.dialog-actions-panel {
    padding: 1rem 1.5rem 1.5rem 1.5rem;
    background: var( --telekom-color-background-surface-subtle);
}

.dialog-actions-panel > .pull-right > button {
    padding: 0 1.25rem;
}

    .dialog-actions-panel > .pull-right > .actions-panel-switch {
        display: flex;
        gap: 0.25rem;
        align-items: center;
    }